会員自由項目一覧取得
GET
/customers/{customer_id}/custom_fields
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/customers/example/custom_fields';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/customers/example/custom_fields \ --header 'Authorization: Bearer <token>'会員自由項目情報一覧を取得します。
対象プラン
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”customer_id
required
string
会員ID
Query Parameters
Section titled “Query Parameters”fields
array
検索パラメータ(カンマ区切りで指定可)
Response項目を指定可能
※一部項目(withで指定する項目、2階層目以降の項目)については指定不可
sort
string
並び順(カンマ区切りで指定可)
指定可能なパラメータ
no:会員自由項目番号
limit
integer
上限数
page
integer
ページ
Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array<object>
object
customerId
会員ID
string
no
会員自由項目番号
integer
value
会員自由項目の値
値が未登録の場合はnull。
string
Example
[ { "customerId": "string", "no": 1, "value": "string" }]- 指定した会員IDが存在しなかった場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Exampleリソースが存在しない場合
{ "type": "about:blank", "title": "NotFound", "detail": "指定されたIDのリソースが見つかりません", "status": 404}